# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

# E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/Log.hpp File Reference

`#include "vl/String.hpp"`

## Classes

class | vl::Log
| The Log class is the abstract base class used to generate logging data. More...
class | vl::StandardLog
| The StandardLog class outputs the log messages on the stdout device and optionally also on a specified file. More...

## Namespaces

namespace | vl
| Visualization Library namespace.

## Defines

#define | PrintDebug(msg) { Log::print(LogDebug, msg); }

## Enumerations

enum | vl::ELogLevel { vl::LogNormal, vl::LogDebug, vl::LogInfo, vl::LogWarning, vl::LogError, vl::LogBug }

## Define Documentation

#define PrintDebug | ( | msg |  | ) | { Log::print(LogDebug, msg); }

Visualization Library v2009.07 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Mon Aug 10 21:41:28 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.